# Class Controller

#### Hierarchy

- Controller

- Defined in src/misc/datetimepickerComponent.js:68

#####
Index

### Properties

element_
gettextCatalog_
options

### Methods

$onInit

## Properties

### element_

element_: JQuery<HTMLElement>

### Constant

- Defined in src/misc/datetimepickerComponent.js:72

### gettextCatalog_

gettextCatalog_: gettextCatalog

The gettext catalog

- Defined in src/misc/datetimepickerComponent.js:79

### options

options: DateTimePickerOptions

- Defined in src/misc/datetimepickerComponent.js:86
- Defined in src/misc/datetimepickerComponent.js:99

## Methods

### $onInit

- $onInit(): void

- Initialize the directive.

  #### Returns void

  - Defined in src/misc/datetimepickerComponent.js:92

Generated using TypeDoc